<!DOCTYPE html>

<html>

<head>

  <% include ../partials/head %>
  <!--  Special input stylesheet -->
  <link href="/public/stylesheet/css/stylesheet_slider.css" type="text/css" rel="stylesheet" />
  <link href="/public/stylesheet/css/stylesheet_toggle.css" type="text/css" rel="stylesheet" />
  <link href="/public/stylesheet/css/stylesheet_loader.css" type="text/css" rel="stylesheet" />
  <%include ../partials/header %>
  <%include ../partials/navbar %>

  <title> Mélangeur et aspirateur </title>

</head>

<body>
  <br><br><br><br>
  <% if(currentUser.user_access >= 2) { %>
  <div class="form-group" style="padding-left: 15px;">
    <label for="mode_select"> Mode d'opération : </label>
    <select class="form-control" id="mode_select" style="width: 150px; display: inline;" onchange="changeMode();">
      <option value="auto"> Automatique </option>
      <option value="manu"> Manuel </option>
    </select>
  </div>
  <% } %>

  <div class="row">
    <div class="col-md-6">
      <% if(currentUser.user_access >= 2) { %>
      <div class="panel panel-default">
        <div class="panel-heading">  <h3><u><b> Commandes </b></u></h3> </div>
        <div class="panel-body">

<div class="manuMode">
          <p><b> Moteur A : </b><p>
          <label class="switch">
            <input type="checkbox" id="switch_MotA" onclick="switchInput('MotA');">
            <span class="slider round"></span>
          </label>
          <p><b> Moteur B : </b><p>
          <label class="switch">
            <input type="checkbox" id="switch_MotB" onclick="switchInput('MotB');">
            <span class="slider round"></span>
          </label>
          <p><b> Moteur C : </b><p>
          <label class="switch">
            <input type="checkbox" id="switch_MotC" onclick="switchInput('MotC');">
            <span class="slider round"></span>
          </label> <br>
</div>
<div class="autoMode">
          <label for="num_RecetteA"> Recette A: </label>
          <input type="number" id="num_RecetteA" onclick="nivInput('RecetteA');" onkeyup="nivInput('RecetteA');" min="0" max="300"> g <br><br>
          <label for="num_RecetteB"> Recette B: </label>
          <input type="number" id="num_RecetteB" onclick="nivInput('RecetteB');" onkeyup="nivInput('RecetteB');" min="0" max="300"> g <br><br>
          <label for="num_RecetteC"> Recette C: </label>
          <input type="number" id="num_RecetteC" onclick="nivInput('RecetteC');" onkeyup="nivInput('RecetteC');" min="0" max="300"> g <br><br>
          <p><b> Éxécution de la recette : </b><p>
          <label class="switch">
            <input type="checkbox" id="switch_RecetteGo" onclick="switchInput('RecetteGo');">
            <span class="slider round"></span>
          </label>
</div>
        </div>
      </div>
      <% } %>
    </div>
    <div class="col-md-6">
      <div class="panel panel-default">
        <div class="panel-heading">  <h3><u><b> Balance Toledo™ </b></u></h3>  </div>
        <div class="panel-body">
          <h4><b id="label_Poids"> Poids(kg) </b></h4>
          <canvas id="display_Poids" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Tare </b></h4>
          <canvas id="display_Tare" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
        </div>
      </div>
      <% if(currentUser.user_access >= 2) { %>
      <div class="panel panel-default">
        <div class="panel-heading">  <h3><u><b> Aspirateur Shopvac™ </b></u></h3> </div>
        <div class="panel-body">
          <h4><b> Contrôles </b></h4>
          <button type="button" class="btn btn-success btn-lg" onclick="mqttSend('RAM/shopvac/cmd/Manuel', 'GO');"> <b>MARCHE</b> </button>
          <button type="button" class="btn btn-danger btn-lg" onclick="mqttSend('RAM/shopvac/cmd/Manuel', 'STOP');"> <b>ARRÊT</b> </button>
          <h4><b> Séquence: </b></h4>
          <div class="row sequence">
            <div class="col-md-4">
              <p class="procesing_action"><b> EN EXÉCUTION  </b></p>
              <p class="finished_action"><b> TERMINÉE </b></p>
            </div>
            <div class="col-md-*">
              <div class="loader procesing_action"></div>
            </div>
          </div>
        </div>
      </div>
      <% } %>
    </div>
  </div>

  <% include ../partials/footer %>
  <%include ../partials/parsers %>
  <% include ../partials/libs %>
  <% include ../partials/alarm_popup %>
  <script src="/public/scripts/js/script_mixer.js"></script>

</body>

</html>
